Subject: Re: Tool renames.

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 15 Sep 2005 22:44:46 -0700

Junio C Hamano wrote:
> 
> Come to think of it, I should be able to build git-ssh-push and
> git-ssh-pull as fully backward compatible way to call the
> counterpart with original name, instead of supplying just
> symlinks the same way I do currently.  Let me work do that
> before I do 0.99.7 this weekend.
> 

Better yet, always install the links, and have them use the *old* names 
when calling the remote end.

>>Now the interesting problem is if we should rename these
>>environment variables ...
> 
> And the old and new binaries will be built separately anyway, I
> could use GIT_SSH_FETCH and GIT_SSH_UPLOAD in the newname
> binaries while keeping the old names in oldname binaries.  Ack?

Urk.  Why do this rename anyway?

Typically when doing new environment variables like this you do:

	foo = getenv("NEW_NAME");
	if ( !foo )
		foo = getenv("OLD_NAME");

	-hpa